#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DBUILD_SHARED_LIBS=ON \
		-DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DLIBRARY_INSTALL_DIRECTORY=lib/$(DEB_HOST_MULTIARCH) \
		-DEIGEN_DIRECTORY=/usr/include/eigen3 \
		-DARCH=$(DEB_HOST_ARCH)
